src/base/cs_halo.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_halo.c File Reference
`#include "cs_defs.h"`
`#include <stdio.h>`
`#include <string.h>`
`#include <assert.h>`
`#include "bft_mem.h"`
`#include "bft_error.h"`
`#include "bft_printf.h"`
`#include "cs_base.h"`
`#include "cs_order.h"`
`#include "cs_interface.h"`
`#include "fvm_periodicity.h"`
`#include "cs_halo.h"`
Include dependency graph for cs_halo.c:

## Functions
cs_halo_t * | cs_halo_create (cs_interface_set_t *ifs)
cs_halo_t * | cs_halo_create_from_ref (const cs_halo_t *ref)
cs_halo_t * | cs_halo_destroy (cs_halo_t *halo)
void | cs_halo_update_buffers (const cs_halo_t *halo)
void | cs_halo_free_buffer (void)
void | cs_halo_renumber_cells (cs_halo_t *halo, const cs_lnum_t new_cell_id[])
void | cs_halo_sync_untyped (const cs_halo_t *halo, cs_halo_type_t sync_mode, size_t size, void *val)
void | cs_halo_sync_num (const cs_halo_t *halo, cs_halo_type_t sync_mode, cs_lnum_t num[])
void | cs_halo_sync_var (const cs_halo_t *halo, cs_halo_type_t sync_mode, cs_real_t var[])
void | cs_halo_sync_var_strided (const cs_halo_t *halo, cs_halo_type_t sync_mode, cs_real_t var[], int stride)
void | cs_halo_sync_component (const cs_halo_t *halo, cs_halo_type_t sync_mode, cs_halo_rotation_t rotation_op, cs_real_t var[])
void | cs_halo_sync_components_strided (const cs_halo_t *halo, cs_halo_type_t sync_mode, cs_halo_rotation_t rotation_op, cs_real_t var[], int stride)
bool | cs_halo_get_use_barrier (void)
void | cs_halo_set_use_barrier (bool use_barrier)
void | cs_halo_dump (const cs_halo_t *halo, int print_level)

## Function Documentation

cs_halo_t* cs_halo_create | ( | cs_interface_set_t * | ifs | ) |

cs_halo_t* cs_halo_create_from_ref | ( | const cs_halo_t * | ref | ) |

cs_halo_t* cs_halo_destroy | ( | cs_halo_t * | halo | ) |

void cs_halo_dump | ( | const cs_halo_t * | halo,
|  | int | print_level
| ) |  |

void cs_halo_free_buffer | ( | void |  | ) |

bool cs_halo_get_use_barrier | ( | void |  | ) |

void cs_halo_renumber_cells | ( | cs_halo_t * | halo,
|  | const cs_lnum_t | new_cell_id[]
| ) |  |

void cs_halo_set_use_barrier | ( | bool | use_barrier | ) |

void cs_halo_sync_component | ( | const cs_halo_t * | halo,
|  | cs_halo_type_t | sync_mode,
|  | cs_halo_rotation_t | rotation_op,
|  | cs_real_t | var[]
| ) |  |

void cs_halo_sync_components_strided | ( | const cs_halo_t * | halo,
|  | cs_halo_type_t | sync_mode,
|  | cs_halo_rotation_t | rotation_op,
|  | cs_real_t | var[],
|  | int | stride
| ) |  |

void cs_halo_sync_num | ( | const cs_halo_t * | halo,
|  | cs_halo_type_t | sync_mode,
|  | cs_lnum_t | num[]
| ) |  |

void cs_halo_sync_untyped | ( | const cs_halo_t * | halo,
|  | cs_halo_type_t | sync_mode,
|  | size_t | size,
|  | void * | val
| ) |  |

void cs_halo_sync_var | ( | const cs_halo_t * | halo,
|  | cs_halo_type_t | sync_mode,
|  | cs_real_t | var[]
| ) |  |

void cs_halo_sync_var_strided | ( | const cs_halo_t * | halo,
|  | cs_halo_type_t | sync_mode,
|  | cs_real_t | var[],
|  | int | stride
| ) |  |

void cs_halo_update_buffers | ( | const cs_halo_t * | halo | ) |